byte_start(3)

NAME
byte_start - find out if string b is prefix of string a

SYNTAX
#include <libowfat/byte.h>

int byte_start(const char *a,size_t alen,const char *b,size_t blen);

DESCRIPTION
byte_start returns 1 if alen >= blen and the first blen bytes from a and b are equal.

When blen is too large or the strings are different, byte_start does not read bytes past the first difference. An attacker observing the execution timing can thus learn where the first mismatch happened.

Use byte_equal_notimingattack to compare keys, passphrases, cookies or hashes instead.

SEE ALSO
byte_equal(3), byte_equal_notimingattack(3), byte_starts(3)